<!DOCTYPE html>
<html>

<head>

  <% include ../partials/head %>
  <%include ../partials/navbar %>
  <%include ../partials/header %>

  <title> Modifier </title>

</head>

<body>
  <br><br><br><br>
  <div class="container padding-top-10 login-container">

    <div class="panel panel-default">
      <div class="panel-heading">
        <h3><u><b> Éditer l'utilisateur <%= editedUser.user_username  %> </b></u></h3>
      </div>

      <div class="panel-body">
        <form action="/edit_user" id="registryForm" method="post">
          <label for="user_fname" class="control-label"> Nom: </label>
          <div class="row">
            <div class="col-md-6">
              <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_fname" name="user_fname" placeholder="Prenom" value=<%= editedUser.user_fname %>>
            </div>
            <div class="col-md-6">
              <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_lname" name="user_lname" placeholder="Nom de famille" value=<%= editedUser.user_lname %>>
            </div>
          </div>
          <label for="user_username" class="control-label"> Nom d'utilisateur: </label>
          <input type="text" class="form-control" required pattern="^[a-zA-Z][a-zA-Z0-9]{1,30}$" id="user_username" name="user_username" value=<%= editedUser.user_username %>>
          <label for="user_access" class="control-label"> Type de compte: </label>
          <select name="user_access" id="user_access" class="form-control">
            <option value="1" <%= (editedUser.user_access == 1) ? "selected" : "" %>> Invité </option>
            <option value="2" <%= (editedUser.user_access == 2) ? "selected" : "" %>> Opérateur </option>
            <option value="3" <%= (editedUser.user_access == 3) ? "selected" : "" %>> Contremaître </option>
            <option value="4" <%= (editedUser.user_access == 4) ? "selected" : "" %>> Administrateur </option>
          </select>
          <br>
          <button type="submit" class="btn btn-default"> Soumettre </button>
          <input type="text" name="user_id" class="hidden" value=<%= editedUser.user_id %>>
        </form>
        <br>
        <% if(error == true) { %>
          <div class="alert alert-danger alert-dismissable fade in">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
              <strong> <%= errorDesc %> </strong>
          </div>
        <% } %>
      </div>
    </div>


  </div>

  <% include ../partials/footer %>
  <%include ../partials/parsers %>
  <% include ../partials/libs %>
  <% include ../partials/alarm_popup %>
</body>

</html>
